While the new Apple Watch Series will have its own eSIM, you will still need to pair it with an iPhone.  Apple Watch Series 5 and Apple Watch Series 3 require an iPhone 6s or later with iOS 13 or later version. You can even use your cellular connection for Emergency SOS.To check or download the latest software version on your iPhone, go to Settings > General > Software Update. You will also need the latest carrier settings. On your iPhone, tap Settings > General > About and follow the prompt to update to the latest carrier settings. Your Apple Watch (cellular) needs to be on WatchOS version 4.2.2 or later.